"use strict";

var _winston = _interopRequireDefault(require("winston"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var logger = _winston.default.createLogger({
  transports: [new _winston.default.transports.File({
    name: 'info-file',
    filename: './storage/logs/filelog-info.log',
    level: 'info'
  }), new _winston.default.transports.File({
    name: 'error-file',
    filename: './storage/logs/filelog-error.log',
    level: 'error'
  }), new _winston.default.transports.Console({
    level: 'debug'
  })],
  exitOnError: false
});

spice.logger = logger;