"use strict";

var _path = _interopRequireDefault(require("path"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

spice.seeds = {};

var paths = _path.default.join(spice.root_path, "seeds");

if (_fsExtra.default.existsSync(paths)) {
  require("fs").readdirSync(paths).forEach(function (file) {
    if (file != "index.js") {
      var seed = require(_path.default.join(paths, file));

      spice.seeds[file.split(".")[0]] = seed;

      if (seed.run) {
        seed.run();
      }
    }
  });
}