/**
 * Created by chadfraser on 09/12/15.
 */
"use strict";

exports.__esModule = true;
exports.default = void 0;

var Date = require("sonover-date");

class Event {
  constructor(args) {
    this.time = new Date().now();
    this.data = args.data;
    this.driver = args.driver;
    this.topic = args.topic;
  }

  dispatch(_temp) {
    var {
      driver
    } = _temp === void 0 ? {} : _temp;

    if (driver) {
      this.driver = driver;
    }

    var Processor = spice.config.event.providers[this.driver || spice.config.event.default_driver];
    var processor = new Processor();
    processor.dispatch({
      topic: this.topic,
      data: this.data
    });
  }

}

exports.default = Event;