"use strict";

exports.__esModule = true;
exports.default = void 0;

var _Event = _interopRequireDefault(require("../Event"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var driver = "";

class ResourceLifecycleTriggered extends _Event.default {
  constructor(args) {
    if (args === void 0) {
      args = {};
    }

    if (!args.driver) {
      args.driver = driver;
    }

    args.topic = "ResourceLifecycleTriggered";
    super(args);
    this.topic = args.topic;
    this.driver = args.driver;
  }

}

exports.default = ResourceLifecycleTriggered;