"use strict";

exports.__esModule = true;
exports.default = void 0;

class SpiceEventDriver {
  dispatch(_temp) {
    var {
      topic,
      data
    } = _temp === void 0 ? {} : _temp;
    spice.EventEmitter.emit(topic, data);
  }

  on(topic, callback) {
    spice.EventEmitter.on(topic, callback);
  }

}

exports.default = SpiceEventDriver;