/**
 * Created by chadfraser on 09/12/15.
 */
"use strict";
var Date = require("sonover-date");
export default class Event {
  constructor(args) {
    this.time = new Date().now();
    this.data = args.data;
    this.driver = args.driver;
    this.topic = args.topic;
  }

  dispatch({ driver } = {}) {
    if (driver) {
      this.driver = driver;
    }
    let Processor =
      spice.config.event.providers[
        this.driver || spice.config.event.default_driver
      ];
    let processor = new Processor();
    processor.dispatch({ topic: this.topic, data: this.data });
  }
}
