"use strict";

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

spice.routers = {};

var paths = _path.default.join(spice.root_path, 'routes');

require('fs').readdirSync(paths).forEach(function (file) {
  if (file != 'index.js') {
    var router = require(_path.default.join(paths, file));

    spice.routers[file.split('.')[0]] = router;
    spice.app.use(spice.routers[file.split('.')[0]].routes()).use(spice.routers[file.split('.')[0]].allowedMethods());
  }
});