"use strict";

var _path = _interopRequireDefault(require("path"));

var _fs = _interopRequireDefault(require("fs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var paths = _path.default.join(spice.root_path, "schema_extenders");

spice.schema_extenders = {};

if (_fs.default.existsSync(paths)) {
  _fs.default.readdirSync(paths).forEach(function (file) {
    if (_path.default.extname(file) === ".js" && file !== "index.js") {
      try {
        var extender = require(_path.default.join(paths, file));

        spice.schema_extenders[_path.default.basename(file, ".js")] = extender;
      } catch (error) {
        console.error("Failed to load " + file + ":", error);
      }
    }
  });
}