"use strict";

var _path = _interopRequireDefault(require("path"));

var _lodash = _interopRequireDefault(require("lodash"));

var _fs = require("fs");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function () {
  return new Promise(function (resolve, reject) {
    try {
      (function () {
        console.log(__dirname, spice.root_path + '/config');
        var locations = [__dirname, spice.root_path + '/config'];
        var config = {};

        var _loop = function _loop(i) {
          var files = (0, _fs.readdirSync)(i);
          files.forEach(function (file) {
            if (file != 'index.js') {
              var name = file.split('.')[0];
              config[name] = _lodash.default.defaults(require(_path.default.join(i, file)), config[name]);
              spice.config = config;
            }
          });
          console.log('Done loading config from', i);
        };

        for (var i of locations) {
          _loop(i);
        }

        resolve(config);
      })();
    } catch (e) {
      reject(e);
    }
  });
};