import path from "path";
import _ from "lodash";
const EventEmitter = require("events");
class MyEmitter extends EventEmitter { }
const myEmitter = new MyEmitter();
spice.EventEmitter = myEmitter;
let eventingManifest = require(path.resolve(
  path.join(spice.root_path, "/eventing/manifest.js")
));

_.each(eventingManifest.default, (entry) => {
  let topic = new entry.event().topic;

  let Processor =
    spice.config.event.providers[
      new entry.event().driver || spice.config.event.default_driver
    ];
  let processor = new Processor();
  _.each(entry.handlers, (handler) => {
    processor.on(topic, new handler().handle);
  });
});
