import path from 'path';


spice.routers = {}

let paths = path.join(spice.root_path, 'routes');
require('fs').readdirSync(paths).forEach(function (file) {
  if (file != 'index.js') {
    let router = require(path.join(paths, file));
    spice.routers[file.split('.')[0]] = router;

    spice.app
      .use(spice.routers[file.split('.')[0]].routes())
      .use(spice.routers[file.split('.')[0]].allowedMethods());
  }
});