import path from "path";
import fs from "fs";
let paths = path.join(spice.root_path, "schema_extenders");
spice.schema_extenders = {};
if (fs.existsSync(paths)) {
  fs.readdirSync(paths).forEach(function (file) {
    if (path.extname(file) === ".js" && file !== "index.js") {
      try {
        let extender = require(path.join(paths, file));
        spice.schema_extenders[path.basename(file, ".js")] = extender;
      } catch (error) {
        console.error(`Failed to load ${file}:`, error);
      }
    }
  });
}
