import path from "path";
import fs from "fs-extra";

spice.seeds = {};

let paths = path.join(spice.root_path, "seeds");
if (fs.existsSync(paths)) {
  require("fs")
    .readdirSync(paths)
    .forEach(function (file) {
      if (file != "index.js") {
        let seed = require(path.join(paths, file));
        spice.seeds[file.split(".")[0]] = seed;
        if (seed.run) {
          seed.run();
        }
      }
    });
}
