/**
 * Created by chadfraser on 05/02/2017.
 */
import serve from 'koa-static';
var views = require('koa-views');

const path = require("path");
const convert = require('koa-convert');

try {
    const nunjucksOptions = {
        map: {
            html: 'nunjucks'
        },
        options: {
            ext: spice.config.spice.view.ext || '.html',
            noCache: true,
            throwOnUndefined: false,
            globals: spice.config.spice.view.globals,
            filters: spice.config.spice.view.filters
        }
    }

    if (spice.config.spice.view.custom_tags.enabled == true) {
        nunjucksOptions.options.tags = {
            variableStart: spice.config.spice.view.custom_tags.start || '${',
            variableEnd: spice.config.spice.view.custom_tags.end || '}',
        }
    }
    spice.app.use(views(path.resolve('./src/views'), nunjucksOptions));
    spice.app.use(convert(serve(path.resolve('./public'))));
} catch (e) {
    console.log(e, e.stack);
}